/********************************************************************
 *                   NASA CONFIDENTIAL INFORMATION                  *
 *               (c)1997-2001 Nasa Ames Research Center				      *
 *                        All Rights Reserved                       *
 *                                                                  *
 *  This program contains confidential and proprietary information  *
 *  of NASA Ames Research Center, any reproduction, disclosure,     *
 *  or use in whole or in part is expressly prohibited, except as   *
 *  may be specifically authorized by prior written agreement.      *
 *                                                                  *
 ********************************************************************/
package brahms.base;

/**
 * areadef	BaseAreaDef
 *
 * This areadef serves as the base for every area definition in a 
 * brahms model and provides conceptual classes with a minimum work set.
 *
 * library	brahms.base
 */
areadef BaseAreaDef {

	relations:
		public BaseAreaDef isSubAreaOf;
		public BaseAreaDef hasSubArea;

} // BaseAreaDef
