/********************************************************************
 *                   NASA CONFIDENTIAL INFORMATION                  *
 *               (c)1997-1999 Nasa Ames Research Center				      *
 *                        All Rights Reserved                       *
 *                                                                  *
 *  This program contains confidential and proprietary information  *
 *  of NASA Ames Research Center, any reproduction, disclosure,     *
 *  or use in whole or in part is expressly prohibited, except as   *
 *  may be specifically authorized by prior written agreement.      *
 *                                                                  *
 ********************************************************************/
package brahms.base;

/**
 * class		BaseClass
 *
 * This class serves as the base for every class in a brahms model
 * and provides classes with a minimum work set.
 *
 * library	brahms.base
 */
class BaseClass {

	attributes:
		public BaseAreaDef location;

	relations:
		public ActiveConcept contains;
		public Exception thrownException;

} // BaseClass

