/********************************************************************
 *                   NASA CONFIDENTIAL INFORMATION                  *
 *                 (c)2002 Nasa Ames Research Center		    *
 *                        All Rights Reserved                       *
 *                                                                  *
 *  This program contains confidential and proprietary information  *
 *  of NASA Ames Research Center, any reproduction, disclosure,     *
 *  or use in whole or in part is expressly prohibited, except as   *
 *  may be specifically authorized by prior written agreement.      *
 *                                                                  *
 ********************************************************************/
package brahms.base;

/**
 * conceptualclass Exception
 *
 * The Exception conceptual class is used as the base class for errors
 * generated in the Brahms virtual machine about which information
 * is made available to agents such that they can appropriately
 * recover from these errors.
 *
 * library	brahms.base
 */
conceptual_class Exception {

	attributes:
		public symbol exceptionType;
		public string exceptionMessage;

} // Exception
