@echo off
REM dbvm.bat Brahms Distributed Virtual Machine
REM Setup the generic Environment Variables for running Agents
call "C:\Program Files\Brahms\ProfessionalAgent\Server\setenvironment.bat"

REM Setup agent environment specific environment variables
call "%KAoS_ROOT%\scripts\win\domainManager.bat" DM1
SET DOMAIN_TO_JOIN="TestDomain"
call "%KAoS_ROOT%\scripts\win\domain.bat" %DOMAIN_TO_JOIN%

SET GUARD_NAME=-Dguard.name=MDRS_Guard
SET GUARD_AUTHO_FAILURE=-Dguard.monitor.action.failure=true
SET GUARD_LOG_FILE=-Dguard.log="C:\Program Files\Brahms\ProfessionalAgent\Logs\authorizationFailure.log"
SET BOOT_FILE=-Dkaos.core.service.boot=boot/SampleVM.cfg
SET LOGGER_DISPLAY=-Dkaos.logger.display=1
SET JAVA_MEMORY=-Xmx256m -Xss1024k -Xms32m
SET GUARD_PROPERTIES=%GUARD_NAME% %GUARD_AUTHO_FAILURE% %GUARD_LOG_FILE%
SET PROPERTIES=%GUARD_PROPERTIES% %BOOT_FILE%  %D_NAME% %DM_NAME%  %LOGGER_DISPLAY%  %JAVA_MEMORY%

title Brahms Virtual Machine
"C:\Program Files\Brahms\ProfessionalAgent\jre\bin\java.exe" %JAVA_PROPERTIES% %PROPERTIES% gov.nasa.arc.brahms.vm.bvm -ui -cf "C:\Program Files\Brahms\ProfessionalAgent\vm.cfg" %*
